var jsonp_callback = function (data) {
    var value = document.getElementById('input').value;
    var result = document.getElementById('result');

    if (data[0] !== value) {
        return;
    }

    if (data[1].length === 0) {
        result.innerHTML = '<b style="color:red">No results found.</b>';
        return;
    }

    remove_all_children(result);
    var names = data[1];
    var descriptions = data[2];
    var urls = data[3];
    var rows = [];
    for (var i = 0; i < names.length; i++) {
        rows.push(tr(
            td(a({href: urls[i]}, names[i])),
            td(descriptions[i])
        ));
    }

    result.appendChild(table(tbody(
        tr(th("Name"),
           th("Description")),
        rows)));
};

var check = function () {
    var value =  document.getElementById('input').value
    if (value === '') {
        document.getElementById('result').innerHTML = welcome_msg;
        return;
    }

    // while (true) {}

    document.getElementById('result').innerHTML = 'Checking ...';
    var url = (
     'http://en.wikipedia.org/w/api.php?' + 'action=opensearch' + '&search=' + value + '&format=json'
    );
    jsonp_request(url, 'jsonp_callback');
};
